//SCILAB: p64.sce
function dx=f(t,x)
  dx=[0 1;-wn^2 -2*zeta*wn]*x+[0; wn^2]
endfunction
//---
wn=1; K=1; x0=[0;0]; t0=0; t=0:0.1:10;
zeta=0.01;      x1=ode(x0,t0,t,f);
zeta=1/sqrt(2); x2=ode(x0,t0,t,f);
zeta=1.00;      x3=ode(x0,t0,t,f);
plot(t,x1(1,:),t,x2(1,:),t,x3(1,:))
mtlb_grid, xlabel('t'), ylabel('x(t)')
legend(['z=0.01','z=1/sqrt(2)','z=1']);
//---
w=locate(1),Tp=w(1),p0=w(2)
plot(w(1),w(2),'og')
p0=p0-1
zeta=sqrt(log(p0)^2/(log(p0)^2+%pi^2))
wn=sqrt(log(p0)^2+%pi^2)/Tp