//SCILAB: p70.sce
//-----
 a=-1; b=1;
 f=-1:0.1:10;
 q=1; r=1;
 Jx=-q^2./(2*(a-b*f));
 Ju=-(r^2*f.^2)./(2*(a-b*f));
 J=Jx+Ju;
 F1=-1+sqrt(1+q^2/r^2)
 yF1=-(q^2+r^2*F1^2)/(2*(a-b*F1))
 subplot(121),plot(f,Jx,f,Ju,f,J)
 plot(F1,yF1,'o')
 xlabel('f')
 ylabel('J=Jx+Ju')
 title('a=-1')
 legend(["Jx","Ju","J"])
 mtlb_axis([-1 5 0 6]),mtlb_grid
//-----
 a=1; b=1;
 f=-1:0.1:10;
 q=1; r=1;
 Jx=-q^2./(2*(a-b*f));
 Ju=-(r^2*f.^2)./(2*(a-b*f));
 J=Jx+Ju;
 F2=1+sqrt(1+q^2/r^2)
 yF2=-(q^2+r^2*F2^2)/(2*(a-b*F2))
 subplot(122),plot(f,Jx,f,Ju,f,J) 
 plot(F2,yF2,'o')
 xlabel('f')
 ylabel('J=Jx+Ju')
 title('a=+1')
 legend(["Jx","Ju","J"])
 mtlb_axis([-1 5 0 6]),mtlb_grid
// print -deps fig5.1.1.eps
//-----
//eof
