//SCILAB: p73.sce
function [F,p]=opt(A,B,C,Q,R)
  w2=R\B';
  [v,p]=spec([A -B*w2;-C'*Q*C -A']); p=diag(p);
  [dummy,index]=gsort(real(p));
  n=size(A,1); j=index(n+1:n+n);
  p=p(j); x=v(1:n,j); y=v(n+1:n+n,j);
  X=real(y/x); F=w2*X;
endfunction
//---
function de=f(t,e),de=(A-B*F)*e,endfunction
m=1; A=[0,1;0,0]; B=[0;1/m]; C=eye(2,2);
q1=1; q2=1; Q=diag([q1,q2].^2); R=1;
[F,p]=opt(A,B,C,Q,R)
//---
r0=-1;v0=0;rc=0;vc=0;e0=[rc-r0;vc-v0];
t0=0;t=0:0.1:10;
e=ode(e0,t0,t,f);
r=rc-e(1,:);v=vc-e(2,:);
subplot(211),plot(t,r),mtlb_grid,title('r(t)')
subplot(212),plot(t,v),mtlb_grid,title('v(t)')

