//SCILAB: p82.sce
function dx=f(t,x),dx=AF*x+w, endfunction;
m=1; kr=3; kv=5; kI=1; 
AF=[0 1 0;-kr/m -kv/m -kI/m;1 0 0];
ws=1; w=[0;1/m*ws;0]
r0=-1; rc=0; v0=0; vc=0; x0=[rc-r0;vc-v0;0];
t0=0; t=0:0.1:20;
x=ode(x0,t0,t,f);
r=rc-x(1,:); d=-kI*x(3,:);
subplot(211), plot(t,r), mtlb_grid, title('r(t)')
subplot(212), plot(t,d), mtlb_grid, title('xI(t)')
