//SCILAB: p83.sce
function [F,p]=opt(A,B,C,Q,R)
  w2=R\B';
  [v,p]=spec([A -B*w2;-C'*Q*C -A']); p=diag(p);
  [dummy,index]=gsort(real(p));
  n=size(A,1); j=index(n+1:n+n);
  p=p(j); x=v(1:n,j); y=v(n+1:n+n,j);
  X=real(y/x); F=w2*X;
endfunction
//---
m=1; a=0; b=1/m; c=1;
AE=[a b;0 0]; BE=[0;1];
QE=diag([1,2].^2); RE=1; 
F=opt(AE,BE,eye(2,2),QE,RE)
K=F/[a b;c 0]; kv=K(1); kI=K(2);
//---
function dx=f(t,x),dx=AF*x+w, endfunction;
AF=[-kv/m -kI/m;1 0]; 
ws=1; w=[1/m*ws;0]
v0=1; vc=0.5; x0=[vc-v0;0];
t0=0; t=0:0.1:20;
x=ode(x0,t0,t,f);
v=vc-x(1,:); d=-kI*x(2,:); 
scf(1); 
subplot(211), plot(t,v), mtlb_grid, title('v(t)')
subplot(212), plot(t,d), mtlb_grid, title('xI(t)')
