//SCILAB: p12.sce
function de=f(t,e), de=a*e, endfunction
m=1; k=1; a=-k/m;
v0=1; vc=0.5; e0=vc-v0;
t0=0; t=0:0.1:10;
e=ode(e0,t0,t,f);
v=vc-e; u=k*e;
subplot(211), plot(t,v), mtlb_axis([0,10,0,1]);  mtlb_grid, title('v(t)');
subplot(212), plot(t,u), mtlb_axis([0,10,-1,0]); mtlb_grid, title('u(t)');
