//SCILAB: p65.sce
function dx=f(t,x), dx=A*x+B*ut, endfunction;
zeta=0.01; wn=1;
A=[0,1;-wn^2,-2*zeta*wn]; B=[0;wn^2]; C=[1,0];
x0=[0;0]; t0=0; t=0:0.01:10; ut=1;
x=ode(x0,t0,t,f); y=C*x;
plot(t,y,'--'),mtlb_grid, mtlb_axis([0,10,0,2]);
//---
w=locate(1), Tp=w(1), p0=w(2)
p0=p0-1;
zeta2=sqrt(log(p0)^2/(log(p0)^2+%pi^2))
wn2=sqrt(log(p0)^2+%pi^2)/Tp
k1=(wn2^2-wn^2)/(wn^2);
k2=2*(zeta2*wn2-zeta*wn)/(wn^2);
F=[k1,k2];
g=wn2^2/wn^2;
//---
function dx=f1(t,x),dx=(A-B*F)*x+B*g*ut,endfunction;
xx=ode(x0,t0,t,f1); yy=C*xx;
plot(t,yy,Tp,p0+1,'o')
legend(['(zeta,wn)=(0.01,1)','(Tp,1+p0) specified'])
