//SCILAB: p71.sce
function dx=clps(t,x),dx=(a-b*f)*x, endfunction
a=-1; b=1; Mx=1; Mu=1; q=1/Mx; r0=1/Mu
x0=1; t0=0; t=0:0.1:4;
//-----
rho=2; r=r0/rho;
f=1/b*(a+sqrt(a^2+(q/r)^2*b^2)); f1=f;
x1=ode(x0,t0,t,clps);
//-----
rho=4; r=r0/rho;
f=1/b*(a+sqrt(a^2+(q/r)^2*b^2)); f2=f;
x2=ode(x0,t0,t,clps);
//-----
rho=8; r=r0/rho;
f=1/b*(a+sqrt(a^2+(q/r)^2*b^2)); f3=f;
x3=ode(x0,t0,t,clps);
//-----
subplot(121),plot(t,x1,t,x2,t,x3)
mtlb_grid, mtlb_axis([0 4 0 1]); xlabel('t'), ylabel('x(t)')
legend(['rho=2','rho=4','rho=8']); 
subplot(122),plot(t,-f1*x1,t,-f2*x2,t,-f3*x3)
mtlb_grid, mtlb_axis([0 4 -7 1]); xlabel('t'), ylabel('u(t)')
legend(['rho=2','rho=4','rho=8']); 
