//SCILAB: p81.sce
function dx=f(t,x),dx=AF*x+w, endfunction;
m=1; kv=3; kI=1; 
AF=[-kv/m -kI/m;1 0]; 
ws=1; w=[1/m*ws;0]
v0=1; vc=0.5; x0=[vc-v0;0];
t0=0; t=0:0.1:20;
x=ode(x0,t0,t,f);
v=vc-x(1,:); d=-kI*x(2,:); 
subplot(211), plot(t,v), mtlb_grid, title('v(t)')
subplot(212), plot(t,d), mtlb_grid, title('xI(t)')
