//SCILAB: p82a.sce
function F=sf(A,B,p)
  n=size(A,1);
  X=B;for i=2:n,X=[B,A*X];end
  F0=[zeros(1,n-1),1]/X;
  b=[1,-p(1)];for i=2:n, b=convol(b,[1,-p(i)]); end
  F=F0;for i=1:n, F=F*A+F0*b(i+1); end 
endfunction
//---
m=1;A=[0 1; 0 0];B=[0;1/m];C=[1 0];
AE=[A [0;0];C 0];BE=[B;0];
p=[-1;-1;-1]*0.7;
FE=sf(AE,BE,p); 
kr=FE(1); kv=FE(2); kI=FE(3);
//---
function dx=f(t,x),dx=AF*x+w,endfunction
AF=[0 1 0;-kr/m -kv/m -kI/m;1 0 0];
ws=1; w=[0;1/m*ws;0]
r0=-1;rc=0;v0=0;vc=0;x0=[rc-r0;vc-v0;0];
t0=0;t=0:0.1:20;
x=ode(x0,t0,t,f);
r=rc-x(1,:);d=-kI*x(3,:);
subplot(211),plot(t,r),mtlb_grid,title('r(t)')
subplot(212),plot(t,d),mtlb_grid,title('xI(t)')
