//SCILAB: p84.sce
function [F,p]=opt(A,B,C,Q,R)
  w2=R\B';
  [v,p]=spec([A -B*w2;-C'*Q*C -A']); p=diag(p);
  [dummy,index]=gsort(real(p));
  n=size(A,1); j=index(n+1:n+n);
  p=p(j); x=v(1:n,j); y=v(n+1:n+n,j);
  X=real(y/x); F=w2*X;
endfunction
//---
m=1; A=[0 1; 0 0]; B=[0;1/m]; C=[1 0]; S=[A B;C 0];
AE=[A B;0 0 0]; BE=[0;0;1];
QE=diag([1,2,1].^2); RE=2^2; 
F=opt(AE,BE,eye(3,3),QE,RE)
K=F/S; 
kr=K(1); kv=K(2); kI=K(3);
//---
function dx=f(t,x),dx=AF*x+w,endfunction
AF=[0 1 0;-kr/m -kv/m -kI/m;1 0 0];
ws=1; w=[0;1/m*ws;0]
r0=-1; rc=0; v0=0; vc=0; x0=[rc-r0;vc-v0;0];
t0=0; t=0:0.1:20;
x=ode(x0,t0,t,f);
r=rc-x(1,:); d=-kI*x(3,:);
scf(1);
subplot(211), plot(t,r), mtlb_grid, title('r(t)')
subplot(212), plot(t,d), mtlb_grid, title('xI(t)')
